Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How I Got ColdFusion MX 6.1 Working....
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
bitter
n00b
n00b


Joined: 26 Dec 2003
Posts: 24

PostPosted: Thu Mar 18, 2004 7:33 pm    Post subject: How I Got ColdFusion MX 6.1 Working.... Reply with quote

for those who have been wanting to know, this is what i figured out to get cfmx working properly.

maybe an ebuild someday?

1. go download coldfusion-61-lin.bin 30 day trial, even if you've already bought MX and have a license. the 6.0 installer doesn't work. the 6.1 one does, with no modification.

url: http://www.macromedia.com/cfusion/tdrc/index.cfm?product=coldfusion

2. chmod +x coldfusion-61-lin.bin, run the installer (./coldfusion-61-lin.bin). select whatever you want in the options, but don't install the startup script (redhat thing). when asked what webserver you're using, select the default builtin server.

/opt/coldfusionmx/wwwroot is the default document root, so link or move it to the apache one later on

3. add jvm.config to /opt/coldfusionmx/bin:

for some reason i'm not able to copy/paste correctly from here, so i'll put links to each of these files as well:

http://www.protectourbox.com/gentoo-cfmx/jvm.config

Code:

#
# VM configuration
#
# Where to find JVM, if {java.home}/jre exists then that JVM is used
# if not then it must be the path to the JRE itself
java.home=/opt/coldfusionmx/runtime/jre
#
# If no java.home is specified a VM is located by looking in these places in this
# order:
#
#  1) bin directory for java.dll (windows) or lib/<ARCH>/libjava.so (unix)
#  2) ../jre
#  3) registry (windows only)
#  4) JAVA_HOME env var plus jre (ie $JAVA_HOME/jre)
#

# Arguments to VM
java.args=-server -Xmx512m -Dsun.io.useCanonCaches=false -Xbootclasspath/a:{application.home}/lib/webchartsJava2D.jar -XX:MaxPermSize=128m -XX:+UseParallelGC -Djava.awt.graphicsenv=com.gp.java2d.ExHeadlessGraphicsEnvironment

#
# commas will be converted to platform specific separator and the result will be passed
# as -Djava.ext.dirs= to the VM
java.ext.dirs={jre.home}/lib/ext

#
# where to find shared libraries
java.library.path={application.home}/lib,{application.home}/lib/_ilnx21/bin
system.path.first=false

# JVM classpath
java.class.path={application.home}/servers/lib,{application.home}/lib/cfusion.jar,{application.home}/lib,{application.home}/runtime/lib/jrun.jar,{application.home}/runtime/lib



4. replace /opt/coldfusionmx/bin/coldfusion with this (not entirely necessary):

http://www.protectourbox.com/gentoo-cfmx/coldfusion

Code:

#!/bin/sh

# chkconfig: 345 90 14
# description: starts the ColdFusion MX server


PATH=/lib/:/usr/xpg4/bin:/bin:/sbin:/usr/bin:/usr/sbin:$PATH
CONNECTOR=""
RUNTIME_USER=""nobody""
JAVA_HOME="/opt/coldfusionmx/runtime/jre"
JAVA_EXECUTABLE="/opt/coldfusionmx/runtime/jre/bin/java"
DOCROOT="/web"
CF_DIR="/opt/coldfusionmx"

ID=`id -u`

if [ ! $ID -eq 0 ]; then
        echo "You must be root to start ColdFusion MX."
        exit 1
fi


cfstart() {

        [ -f $CF_DIR/bin/jvm.config ] || {

                ln -s $CF_DIR/runtime/bin/jvm.config $CF_DIR/bin/jvm.config

        }


        if [ "$OS" = "HPUX" ]; then
                ps -e | grep -e [c]fusion > /dev/null 2>&1 && {
                echo "ColdFusion MX is already running"
                echo exiting
                exit 2
        }
                else
                ps -e | grep -w [c]fusion > /dev/null 2>&1 && {
                echo "ColdFusion MX is already running"
                echo exiting
                exit 2
        }
        fi

        echo "Starting ColdFusion MX..."


        eval $CFSTART >> $CF_DIR/logs/cfserver.log 2>&1


        echo "There may be a few moments before you can access the ColdFusion MX administrator. This is normal."

        # Insert a sleep statement to give the server a few moments.

        sleep 12

        if [ "$OS" = "HPUX" ]; then
                ps -e | grep -e [c]fusion > /dev/null 2>&1 || {
                echo "There has been an error starting ColdFusion MX, please check the logs."
                exit 1
        }
            else
                ps -e | grep -w [c]fusion > /dev/null 2>&1 || {
                echo "There has been an error starting ColdFusion MX, please check the logs."
                exit 1
        }
           fi


        [ -f "$CF_DIR/bin/cfmx-connectors.sh" ] && {

                echo "======================================================================"
                echo "Running the ColdFusion MX connector wizard"
                echo "======================================================================"

                sh $CF_DIR/bin/cfmx-connectors.sh && {
                        mv -f $CF_DIR/bin/cfmx-connectors.sh $CF_DIR/bin/cfmx-connectors-run.sh
                }
        }


        echo "======================================================================"
        echo "ColdFusion MX has been started."
        echo "ColdFusion MX will write logs to $CF_DIR/logs/cfserver.log"
        echo "======================================================================"

}

cfstop() {

        if [ "$OS" = "HPUX" ]; then
        ps -e | grep -e [c]fusion > /dev/null 2>&1 || {
                echo "ColdFusion MX does not seem to be currently running"
                return
        }
        else
        ps -e | grep -w [c]fusion > /dev/null 2>&1 || {
                echo "ColdFusion MX does not seem to be currently running"
                return
        }
            fi

        echo "Stopping ColdFusion MX, please wait"

        eval $CFSTOP

        sleep 10


        if [ "$OS" = "HPUX" ]; then
        ps -e | grep -e [c]fusion > /dev/null 2>&1 && {
                echo "The ColdFusion MX server seems to be hanging, will stop non-gracefully"
                ps -e | grep -e [c]fusion | awk '{print $1}' | xargs kill -9 > /dev/null 2>&1
                sleep 2
        }
        else
        ps -e | grep -w [c]fusion > /dev/null 2>&1 && {
                echo "The ColdFusion MX server seems to be hanging, will stop non-gracefully"
                ps -e | grep -w [c]fusion | awk '{print $1}' | xargs kill -9 > /dev/null 2>&1
                sleep 2
        }
        fi

        if [ "$OS" = "HPUX" ]; then
        ps -e | grep -e [c]fusion > /dev/null 2>&1 && {
                echo "There are some very stubborn ColdFusion MX processes that will not die, please kill the following PIDs by hand"
                ps -e | grep -e [c]fusion | awk '{print $1}'
                echo exiting
                exit 1
        }
        else
        ps -e | grep -w [c]fusion > /dev/null 2>&1 && {
                echo "There are some very stubborn ColdFusion MX processes that will not die, please kill the following PIDs by hand"
                ps -e | grep -w [c]fusion | awk '{print $1}'
                echo exiting
                exit 1
        }
        fi

        echo "ColdFusion MX has been stopped"
}


case `uname` in

        SunOS)
                OS=Solaris
                LD_LIBRARY_PATH="$CF_DIR/lib:$CF_DIR/lib/_solaris/bin"
                CFSTART='su $RUNTIME_USER -c "PATH=$PATH:$CF_DIR/runtime/bin; export PATH; LD_LIBRARY_PATH=$LD_LIBRARY_PATH; export LD_LIBRARY_PATH; cd $CF_DIR/runtime/bin; nohup $CF_DIR/bin/cfusion -autorestart -start default &"'
                CFSTOP='su $RUNTIME_USER -c "PATH=$PATH:$CF_DIR/runtime/bin; export PATH; cd $CF_DIR/runtime/bin; $CF_DIR/bin/cfusion stop default"'
        ;;

        HP-UX)
                OS=HPUX
                CFSTART='su $RUNTIME_USER -c "PATH=$PATH:$CF_DIR/runtime/bin; export PATH; cd $CF_DIR/runtime/bin; nohup $CF_DIR/bin/cfusion -autorestart -start default &"'
                CFSTOP='su $RUNTIME_USER -c "PATH=$PATH:$CF_DIR/runtime/bin; export PATH; cd $CF_DIR/runtime/bin; $CF_DIR/bin/cfusion stop default"'
        ;;

        Linux)
                OS=Linux
                LD_LIBRARY_PATH="$CF_DIR/lib:$CF_DIR/lib/_ilnx21/bin"
                CFSTART='su $RUNTIME_USER -s /bin/sh -c "export PATH=$PATH:$CF_DIR/runtime/bin; export LD_LIBRARY_PATH=$LD_LIBRARY_PATH; cd $CF_DIR/runtime/bin; nohup $CF_DIR/bin/cfusion -autorestart -start default &"'
                CFSTOP='su $RUNTIME_USER -s /bin/sh -c "env -i; cd $CF_DIR/runtime/bin; $CF_DIR/bin/cfusion stop default"'

        # Some Java JVMs (both from Sun and IBM) don't work with the new floating stack
        # feature of the i686 version of glibc.  Force glibc to use the deprecated stack model.
        # Check if the OS is SuSE8.1 - if it is, do not use the deprecated stack model.
#        SUSEFLAG=`grep 'SuSE Linux 8.1' /etc/SuSE-release 2> /dev/null`
#        if [ ! "$SUSEFLAG" ]; then
#                #LD_ASSUME_KERNEL=2.2.9
#                #export LD_ASSUME_KERNEL
#        fi
#       ;;

#       *)

#       echo "Your OS: `uname` is unsupported"
#       echo "exiting"
#       exit 1
#       ;;

esac

ARG=$1

[ -z "$ARG" ] && ARG=usage

case $ARG in

        start)
                cfstart
        ;;

        stop)
                cfstop
        ;;

        restart)
                echo "Restarting ColdFusion MX..."
                cfstop
                cfstart
        ;;

        status)
                if [ -x "$CF_DIR/bin/cfstat" ]; then
                        shift
                        $CF_DIR/bin/cfstat $@
                else
                        echo "$0: $CF_DIR/bin/cfstat no such file"
                fi
        ;;

    wsconfig)
        WSCONFIG_JAR=$CF_DIR/runtime/lib/wsconfig.jar

        if [ $# -eq 0 ]; then
            # no arguments so display built-in help from wsconfig.jar
            $JAVA_EXECUTABLE -jar $WSCONFIG_JAR -help
            break
        else
            # brief help
            if [ "$2" = "help" ]; then
                echo "To configure a webserver connector you must specify the -ws and -dir options."
                echo "If configuring Apache it is recomended that you also specify the -bin and "
                echo "-script options."
                echo ""
                echo "To list all configured webserver connectors use the -list option."
                echo "To remove a configured webserver connector use the -r option with the "
                echo "-ws and -dir options."
                echo "To remove all webserver connectors use the -uninstall option."
                echo "To upgrade all installed webserver connectors use the -upgrade option."
                echo ""
                echo "For more detailed help see $0 $1."
            fi
            break
        fi

        # pass on all args to wsconfig.jar
        shift
        $JAVA_EXECUTABLE -jar $WSCONFIG_JAR $@ -coldfusion
    ;;

        *)
                echo "Usage:$0 (start|stop|restart|status|wsconfig)"
        ;;

esac


exit 0



5. at this point, coldfusion will run with the jrun web server. start it with:
Code:
/opt/coldfusionmx/bin/cfusion -autorestart -start default &

it might be a good idea to redirect this output to a log in the future

6. for the apache connector to work, i'm assuming that you have installed apache thru portage. create a link from /etc/apache2/conf/apache2.conf to /etc/apache2/conf/httpd.conf:

Code:
ln -s /etc/apache2/conf/apache2.conf /etc/apache2/conf/httpd.conf


7. replace /opt/coldfusionmx/bin/connectors/apache_connector.sh with this modified version:

http://www.protectourbox.com/gentoo-cfmx/apache_connector.sh

Code:

#!/bin/sh

CF_DIR=../..
JAVA_EXECUTABLE=$CF_DIR/runtime/jre/bin/java

#
# Configure the Apache connector.
#       -dir should be the *directory* which contains httpd.conf
#       -bin should be the path to the apache *executable*
#       -script should be the path to the script which is used to
#               start/stop apache
#
$JAVA_EXECUTABLE -jar $CF_DIR/runtime/lib/wsconfig.jar \
        -ws apache \
        -dir /etc/apache2/conf \
        -bin /usr/sbin/apache2 \
        -script /usr/sbin/apache2ctl \
        -coldfusion -v

exit $#


8. make sure the cfmx server is running, if it's not - start it with the command noted above. run the (modified) apache connector script.

Code:
/opt/coldfusionmx/bin/connectors/apache_connector.sh


this will make the changes to httpd.conf (really apache2.conf). you are done. hope it works!
Back to top
View user's profile Send private message
p4m
n00b
n00b


Joined: 10 Feb 2004
Posts: 14

PostPosted: Mon Mar 29, 2004 2:00 am    Post subject: Not working... Reply with quote

Hi bitter,

I've just tried your approach to the problematic cfmx installation on gentoo and I've tried also to install it as a WAR into tomcat, but nothing to do, I got always "The security service is not available" when I try to access the CFIDE administration page.

For your configuration to work I've changed the following line in your jvm.config file:

Code:
# if not then it must be the path to the JRE itself
java.home=/opt/coldfusionmx/runtime/jre
#


in

Code:
# if not then it must be the path to the JRE itself
java.home=/opt/blackdown-jdk-1.4.1
#


Can you post the details of your system configuration?
For example the PATH of your JDK, or if
Code:
DOCROOT="/web"
in the coldfusion code is your custom wwwroot folder... and anything that you think can make me see the light :)

Thank you in advance
Back to top
View user's profile Send private message
prolix
n00b
n00b


Joined: 16 Nov 2002
Posts: 40

PostPosted: Tue Mar 30, 2004 4:46 pm    Post subject: Reply with quote

not sure if anyone is watching this thread anymore but i just tried to install CMFX 6.1 and the install went fine, however i can't get coldfusion to start. i followed all the instructions here and I get the following error when i try to start the cmfx server

Code:

/opt/coldfusionmx/bin/cfusion -autorestart -start default &

[1] 21218
Error: no `server' JVM at `/opt/coldfusionmx/runtime/jre /jre/bin/server/libjvm.so'.
autorestart: Process died in less than 30 seconds; not restarting

[1]+  Done    /opt/coldfusionmx/bin/cfusion -autorestart -start default


because of this i can't get the apache config done, I get errors but I think this above error is whats in the way.

My config is apache2 built with portage, php, mysql support etc. I have all the jdk stuff installed, no errors during the cmfx 6.1 install, just picked all the default options as instructed above. changed the config files as indicated above. Any help would be appreciated
Back to top
View user's profile Send private message
prolix
n00b
n00b


Joined: 16 Nov 2002
Posts: 40

PostPosted: Tue Mar 30, 2004 5:31 pm    Post subject: Reply with quote

ok, i got past my original problem but now i'm where p4m is. I get

"the security service is not available" when I try to access admin pages

help!
Back to top
View user's profile Send private message
dodger10k
Tux's lil' helper
Tux's lil' helper


Joined: 27 Jun 2003
Posts: 97

PostPosted: Fri Apr 09, 2004 5:43 pm    Post subject: Reply with quote

I?m trying to install CFMX on a gentoo machine. CF starts up without quoting any errors, but when running

./java -jar /opt/coldfusionmx/runtime/lib/wsconfig.jar -ws apache -dir /etc/apache2/conf -script /usr/sbin/apache2ctl -coldfusion -v

the server quotes

Could not connect to any JRun/ColdFusion servers on host localhost.
Possible causes:
o Server not running
-Start Macromedia JRun4 or ColdFusion MX server
o Server running
-JNDI listen port in jndi.properties blocked by TCP/IP filtering or firewall
on server
-host restriction in security.properties blocking communication with server

But 'ps aux' shows me several running instances and a telnet localhost 2901 is working as well, which indicates that cfmx is up and running.

Why do I receive this error message above?

Any hints appreciated :-)
Back to top
View user's profile Send private message
dodger10k
Tux's lil' helper
Tux's lil' helper


Joined: 27 Jun 2003
Posts: 97

PostPosted: Fri Apr 09, 2004 9:02 pm    Post subject: Reply with quote

After trying several things I now have the following situation:

When trying to access the cfide/install.cfm I receive a 500 Internal Server Error in my browser and the apache-error log says:

[Fri Apr 09 22:57:23 2004] [notice] jrApache[28153] could not initialize Server_1:127.0.0.1:51001
[Fri Apr 09 22:57:23 2004] [notice] jrApache[28153] Couldn't initialize from remote server, JRun server(s) probably down.
[Fri Apr 09 22:57:23 2004] [notice] jrApache[28153] JRun will not accept request. Check JRun web server configuration and JRun mappings on JRun server.

Can anyone tell me what is going wrong here?
Back to top
View user's profile Send private message
heutger
n00b
n00b


Joined: 13 Apr 2004
Posts: 9

PostPosted: Tue Apr 13, 2004 8:01 pm    Post subject: Reply with quote

bitter,

did you install with user nobody or selected another user, as nobody has no rights at all?

I just did a netstat -an -o -p to view running listeners (meanwhile I connected to port 8500 to see, that coldfusion is running under gentoo but the connector fails to get initialized), here are the running ports, do you have more running, especially the expected port 51000 / 51001 or 51010 ?

8103
32781
8500
2901
2522

This posting depends on the above two posting of my team partner, we would also try a complete reinstall with user nobody, if you expect this helps?

Last another thing: How to get MS Access databases directly useable by CFMX under Linux? I expected a driver in the driver list for this one, but CFMX 6.1 has none, but the option other, but don't know how to use, also the docs doesn't help.
Back to top
View user's profile Send private message
bitter
n00b
n00b


Joined: 26 Dec 2003
Posts: 24

PostPosted: Wed Apr 14, 2004 6:22 pm    Post subject: Reply with quote

ack. i just noticed that on one machine i have cfusion running as r00t. not a good idea.

it's not the server i mentioned in my first post with the urls - so don't bother :).

you should either make it run as the apache user, or make a cfusion user and run it as that. be certain that any new user created for this has permissions for everything. if not, it definitely won't work.


so, i suggest you let it run as root too see if it's even gonna work, and THEN go to a different user.

also, as for the question about MS access, i had the same need once - but had no luck.

best bet, and my solution - put it in a real sql db. if it's some access file you're updating regularly, set up a script to export and import it for you. besides, if you're trying to run a data driven site of of access, you're barking up the wrong tree anyhow... :)
Back to top
View user's profile Send private message
Sargon
Tux's lil' helper
Tux's lil' helper


Joined: 23 Jan 2003
Posts: 90

PostPosted: Wed Apr 28, 2004 9:07 pm    Post subject: Reply with quote

(post obsolete because of the next one :))

Last edited by Sargon on Thu Apr 29, 2004 9:56 pm; edited 1 time in total
Back to top
View user's profile Send private message
Sargon
Tux's lil' helper
Tux's lil' helper


Joined: 23 Jan 2003
Posts: 90

PostPosted: Thu Apr 29, 2004 7:45 pm    Post subject: Reply with quote

Hi

Ok, I got CFMX 6.1 to work. I'm now using sun-jdk-1.4.2.04.

Using the JRE provided by the CFMX package leads to the "Error: no `server' JVM at `/opt/coldfusionmx/runtime/jre /jre/bin/server/libjvm.so'".

Using the Blackdown JDK leads to the "The security service is not available". (you can also see the problems in the output when you start CF".

Using the JDK from Sun solved both problems.

Sargon
Back to top
View user's profile Send private message
pjp
Administrator
Administrator


Joined: 16 Apr 2002
Posts: 20067

PostPosted: Fri Apr 30, 2004 5:40 am    Post subject: Reply with quote

This would be a good candidate for Documentation, Tips & Tricks if the long lines were wrapped.
_________________
Quis separabit? Quo animo?
Back to top
View user's profile Send private message
Cqwense
n00b
n00b


Joined: 28 Nov 2003
Posts: 52

PostPosted: Mon Jul 19, 2004 8:38 pm    Post subject: Great Post Reply with quote

I would just like to thank you for this post, I was asked to explore other options for upgrading from our current suse 8.2 production server to something more current. My main flavor being gentoo, it was my first ambition, until this post i had found nothing but horror stories about cfmx on a gentoo load, but I am happy to say that our new gentoo production server should be live in a week or two.

Thanks for your help

~ Cqwense
_________________
Windows has noticed that you moved your mouse.
Please reboot to allow for the changes.
Back to top
View user's profile Send private message
wirwzd
n00b
n00b


Joined: 03 Jul 2004
Posts: 68
Location: Leominster, Massachusetts USA

PostPosted: Tue Jul 20, 2004 1:07 am    Post subject: Reply with quote

Thanks for the how-to, works great!

The only snag I ran into was starting the server with the coldfusion script. I had to change

Code:

                CFSTART='su $RUNTIME_USER -s /bin/sh -c "export PATH=$PATH:$CF_DIR/runtime/bin; export LD_LIBRARY_PATH=$LD_LIBRARY_PATH; cd $CF_DIR/runtime/bin; nohup $CF_DIR/bin/cfusion -autorestart -start default &"'
                CFSTOP='su $RUNTIME_USER  -s /bin/sh -c "env -i; cd $CF_DIR/runtime/bin; $CF_DIR/bin/cfusion stop default"'


To:
Code:

                CFSTART='su $RUNTIME_USER -c "export PATH=$PATH:$CF_DIR/runtime/bin; export LD_LIBRARY_PATH=$LD_LIBRARY_PATH; cd $CF_DIR/runtime/bin; nohup $CF_DIR/bin/cfusion -autorestart -start default &"'
                CFSTOP='su $RUNTIME_USER -c "env -i; cd $CF_DIR/runtime/bin; $CF_DIR/bin/cfusion stop default"'


Otherwise it hangs in a sub-shell. I also had to use a user with a real shell, as users with /bin/false failed due to the su -c. Add a simple starup script and its good to go.

--
Keith
http://www.wirewizards.com/tonsite/
Back to top
View user's profile Send private message
Cqwense
n00b
n00b


Joined: 28 Nov 2003
Posts: 52

PostPosted: Wed Jul 21, 2004 4:43 pm    Post subject: Reply with quote

I've tried different variations of creating my own /etc/init.d/$CFMX script to add ColdFusion to the default run level, but to no avail, has anyone accomplished this, and if so, could you post the script?

thx

~ Cqwense
_________________
Windows has noticed that you moved your mouse.
Please reboot to allow for the changes.
Back to top
View user's profile Send private message
wirwzd
n00b
n00b


Joined: 03 Jul 2004
Posts: 68
Location: Leominster, Massachusetts USA

PostPosted: Sat Jul 31, 2004 10:45 pm    Post subject: Reply with quote

This what I use, (this is my first attempt at a Gentoo initscript so I may be doing things wrong, but it works...).

Code:

#!/sbin/runscript

depend() {
        need apache2
}



start() {
        ebegin "Starting coldfusion"
        /opt/coldfusionmx/bin/coldfusion start > /dev/null 2>&1
        eend $?
}

stop() {
        ebegin "Stopping coldfusion"
        /opt/coldfusionmx/bin/coldfusion stop > /dev/null 2>&1
        eend $?
}


Note that with this init script, cold fusion is bounced whenever you start/stop apache2

Keith
Back to top
View user's profile Send private message
flickerfly
l33t
l33t


Joined: 08 Nov 2002
Posts: 677
Location: Lanham, MD

PostPosted: Sat Aug 07, 2004 12:58 pm    Post subject: Reply with quote

prolix wrote:
Code:

/opt/coldfusionmx/bin/cfusion -autorestart -start default &

[1] 21218
Error: no `server' JVM at `/opt/coldfusionmx/runtime/jre /jre/bin/server/libjvm.so'.
autorestart: Process died in less than 30 seconds; not restarting

[1]+  Done    /opt/coldfusionmx/bin/cfusion -autorestart -start default


because of this i can't get the apache config done, I get errors but I think this above error is whats in the way.


How did you get around this?
_________________
An Evil Genious' Guide to Sheeple and How To Avoid Becoming One | 0x4C9EF4A
Back to top
View user's profile Send private message
Cqwense
n00b
n00b


Joined: 28 Nov 2003
Posts: 52

PostPosted: Wed Aug 18, 2004 3:00 pm    Post subject: Reply with quote

You dont want to use the jre that comes with coldfusion (/opt/coldfusionmx/runtime/jre/ ) the best luck i've had is using suns, which when emerged ( default ) is

/opt/sun-jdk-1.4.2.04/jre/


Is anyone else experiencing horribly long start up times ? /opt/coldfusionmx/bin/cfusion can take up to 5 minutes to start on my server ( on a bad day ).
_________________
Windows has noticed that you moved your mouse.
Please reboot to allow for the changes.
Back to top
View user's profile Send private message
flickerfly
l33t
l33t


Joined: 08 Nov 2002
Posts: 677
Location: Lanham, MD

PostPosted: Wed Aug 18, 2004 3:54 pm    Post subject: Reply with quote

I've been finding BlueDragon to be a much more comfortable environment and it's a good bit more legally forward thinking allowing a corporate page to be hosted without a license. I've dropped checking out ColdFusion.
_________________
An Evil Genious' Guide to Sheeple and How To Avoid Becoming One | 0x4C9EF4A
Back to top
View user's profile Send private message
Cqwense
n00b
n00b


Joined: 28 Nov 2003
Posts: 52

PostPosted: Tue Aug 24, 2004 6:51 pm    Post subject: wierd problem Reply with quote

Im having this wierd issue where about once a minute, my processor usage jumps to 100% ( cfusion being the proc ) ... stays that way for about 10 seconds ( of which my site hangs ) ... then just goes back to normal. Generally a reboot of CFMX calms it back down, but it always comes back and gets worse and worse as time goes on until the next coldfusion reboot.

anyone have a clue?
_________________
Windows has noticed that you moved your mouse.
Please reboot to allow for the changes.
Back to top
View user's profile Send private message
Joe Kinley
n00b
n00b


Joined: 31 May 2003
Posts: 74
Location: Germany

PostPosted: Thu Sep 16, 2004 12:43 pm    Post subject: Reply with quote

I myself got Cold Fusion MX running as J2EE Application under JBoss. You need emerge sun-jdk, but then it works great.
Just copy the ear, or the two war Files into the default/deploy directory, and it will be ready =)
_________________
No matter what, always follow your heart
Back to top
View user's profile Send private message
frameRATE
Guru
Guru


Joined: 28 Apr 2003
Posts: 386
Location: Orange County California

PostPosted: Wed Jan 19, 2005 1:36 am    Post subject: Reply with quote

how did you fix that damn 500 Security error?
_________________

Linux User | 364705

howto install coldfusion mx 7 under gentoo
Back to top
View user's profile Send private message
Joe Kinley
n00b
n00b


Joined: 31 May 2003
Posts: 74
Location: Germany

PostPosted: Wed Jan 19, 2005 10:06 am    Post subject: Reply with quote

The Damn 500 Error ... yeah.
This is a problem... because, here at work with my gentoo on vmware, it worked great.
But at home i had this 500 error... it is due to the ear which did not deploy correctly.... i did not came through this problem, gave up at home.
But at work it worked... so i do not understand why once it works and the next time it don't
_________________
No matter what, always follow your heart
Back to top
View user's profile Send private message
frameRATE
Guru
Guru


Joined: 28 Apr 2003
Posts: 386
Location: Orange County California

PostPosted: Fri Jan 21, 2005 2:12 am    Post subject: Reply with quote

Apparently by doing quite a bit of google searching this error is caused by MANY different things. But I finally fixed my dilemma.

The cause of mine was rather simple, embarrassingly. I kept having problems with various JDK's. I first used the built in default. Nothing. Then I used the blackdown jdk. This caused the 500 error eventually. Then I switched to java-sun. This surprisingly STILL got the 500 error.

Turns out I had just forgot to edit one of my config files in coldfusion (the one's shown above) to show the new sun-jdk. Oh well.

But it works now =) So if you're having this same error, make sure you have the right jdk file set in all the files listed in the 1st post here.
_________________

Linux User | 364705

howto install coldfusion mx 7 under gentoo
Back to top
View user's profile Send private message
frameRATE
Guru
Guru


Joined: 28 Apr 2003
Posts: 386
Location: Orange County California

PostPosted: Wed Jan 26, 2005 6:51 am    Post subject: Reply with quote

what permissions should the /opt/coldfusionmx folder have?
_________________

Linux User | 364705

howto install coldfusion mx 7 under gentoo
Back to top
View user's profile Send private message
phenxor
n00b
n00b


Joined: 27 Oct 2004
Posts: 30

PostPosted: Fri Aug 05, 2005 5:11 am    Post subject: Reply with quote

Thanks!!!! Finally got the mod_jrun version going, after encountering some horrid problems with my Tomcat/CFMX setup :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum